## ros-melodic-rexrov2-control 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rexrov2_control)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch rviz
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

=== debian/changelog ===
ros-melodic-rexrov2-control (0.1.3-0bionic) bionic; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-rexrov2-control (0.1.2-0bionic) bionic; urgency=high

  * Update package format
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 11 Mar 2019 23:00:00 -0000

ros-melodic-rexrov2-control (0.1.1-0bionic) bionic; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-melodic-rexrov2-control (0.1.0-0bionic) bionic; urgency=high

  * FIX Package version number
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #16 <https://github.com/uuvsimulator/rexrov2/issues/16> from uuvsimulator/fix/add_max_forward_speed
    ADD Max. forward speed argument to NMB SM control launch file
  * ADD Max. forward speed argument to NMB SM control launch file
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #14 <https://github.com/uuvsimulator/rexrov2/issues/14> from uuvsimulator/feature/pd_with_compensation
    ADD Launch files for PD controller with compensation of restoring forces
  * ADD Launch files for PD controller with compensation of restoring forces
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #13 <https://github.com/uuvsimulator/rexrov2/issues/13> from uuvsimulator/fix/controller_launch_files
    Fix/controller launch files
  * FIX Launch files input arguments
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD File with vehicle's exact parameters
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #12 <https://github.com/uuvsimulator/rexrov2/issues/12> from uuvsimulator/fix/mb_fl_record_path
    FIX Path to default ROS bag
  * FIX Path to default ROS bag
    Signed-off-by: Musa Morena Marcusso Manhaes (CR/AEI) <mailto:musa.marcusso@de.bosch.com>
  * Merge pull request #11 <https://github.com/uuvsimulator/rexrov2/issues/11> from uuvsimulator/fix/set_ned_frame
    FIX use_ned_frame was flag to NED inertial frame
  * FIX use_ned_frame was flag to NED inertial frame
  * Merge pull request #10 <https://github.com/uuvsimulator/rexrov2/issues/10> from uuvsimulator/feature/new_sensor_macros
    Feature/new sensor macros
  * FIX Model parameters vehicle ID
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #8 <https://github.com/uuvsimulator/rexrov2/issues/8> from uuvsimulator/feature/rviz_visualization_config
    CHANGE RViz demo configuration file
  * CHANGE RViz demo configuration file
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #4 <https://github.com/uuvsimulator/rexrov2/issues/4> from uuvsimulator/fix/typo_package_xml
    FIX Typo in package.xml
  * FIX Typo in package.xml
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #1 <https://github.com/uuvsimulator/rexrov2/issues/1> from uuvsimulator/feature/transfer_files
    ADD Initial files for licensing and vehicle model configuration
  * ADD Initial files for licensing and vehicle model configuration
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes, Musa Morena Marcusso Manhaes (CR/AEI), Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rexrov2-control
Section: misc
Priority: extra
Maintainer: Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rexrov2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-uuv-control-cascaded-pid, ros-melodic-uuv-thruster-manager, ros-melodic-uuv-trajectory-control
Description: The rexrov2_control package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rexrov2-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
